=== requirements.txt ===
# runtime
psutil>=5.6.7
PySide6==6.8.3
markdown==2.6.11
requests==2.32.4
pyseq==0.9.0
