=== debian/changelog ===
meshroom (2025.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1110196)

 -- Dima Kogan <dkogan@debian.org>  Wed, 27 Aug 2025 23:59:29 -0700
