=== debian/control ===
Source: meshroom
Section: contrib/science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               python3-pytest,
               python3-psutil,
               python3-pyside6.qtcore,
               python3-pyside6.qtqml
Standards-Version: 4.6.0
Homepage: https://github.com/alicevision/Meshroom
Vcs-Git: https://salsa.debian.org/science-team/meshroom.git
Vcs-Browser: https://salsa.debian.org/science-team/meshroom

Package: meshroom
Section: contrib/science
Architecture: all
Depends: ${misc:Depends},
               python3,
# grep -h "import Qt" ../**/*.qml | cut -d' ' -f2 | sort -u | perl -pe 'tr/[A-Z]/[a-z]/; s/\./-/g; $_ = "qml6-module-$_"'
               qml6-module-qt3d-core,
               qml6-module-qt3d-extras,
               qml6-module-qt3d-input,
               qml6-module-qt3d-logic,
               qml6-module-qt3d-render,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtcharts,
               qml6-module-qtcore,
               qml6-module-qt-labs-platform,
               qml6-module-qt-labs-qmlmodels,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qml6-module-qtqml,
               qml6-module-qtqml-models,
               qml6-module-qtquick,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-scene3d,
               qml6-module-qtquick-shapes,
# grep -h "from PySide6.* import" ../**/*.py | perl -pe 's/.*from PySide6(.(.*))? import (.*)/$2 $3/g' | xargs -n1 | sed 's/,//g' | sort -u | grep '^Qt.' | perl -pe 'tr/[A-Z]/[a-z]/; s/\./-/g; $_ = "python3-pyside6.$_"'
               python3-pyside6.qt3dcore,
               python3-pyside6.qt3drender,
               python3-pyside6.qtcharts,
               python3-pyside6.qtcore,
               python3-pyside6.qtgui,
# This is a part of QtCore
#               python3-pyside6.qtmsgtype,
               python3-pyside6.qtqml,
               python3-pyside6.qtquick,
               python3-pyside6.qtquickcontrols2,
               python3-pyside6.qtwidgets,
               qt6-3d-assimpsceneimport-plugin,
               qt6-svg-plugins,
               qml-module-alicevision,
               qt6-alicevision-oiio-plugins,
# requirements.txt
               python3-markdown,
               python3-psutil,
               python3-requests,
               python3-pyseq
# extra Depends; do I need these?
# qt6-translations-l10n
# qml6-module-org-kde-ksvg
# python3-pyside6.qtquickwidgets
Description: open-source, node-based visual programming framework
 Meshroom is a flexible toolbox for creating, managing, and executing complex
 data processing pipelines.
 .
 Meshroom uses a nodal system where each node represents a specific operation,
 and output attributes can seamlessly feed into subsequent steps. When a node’s
 attribute is modified, only the affected downstream nodes are invalidated,
 while cached intermediate results are reused to minimize unnecessary
 computation.
 .
 Meshroom supports both local and distributed execution, enabling efficient
 parallel processing on render farms. It also includes interactive widgets for
 visualizing images and 3D data.
