=== debian/watch ===
version=4
https://github.com/alicevision/Meshroom/tags .*/v(\d\S+)\.tar\.gz
