## meshroom 2025.1.1

=== debian/changelog ===
meshroom (2025.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 20 Dec 2025 19:04:31 -0800

meshroom (2025.1.0-2) unstable; urgency=medium

  * Missing Depends: python3-setuptools
  * Initializing QClipboard in a way that works with the new PySide6

 -- Dima Kogan <dkogan@debian.org>  Tue, 16 Dec 2025 19:18:45 -0800
