=== debian/control ===
--- 
+++ 
@@ -61,7 +61,9 @@
                python3-markdown,
                python3-psutil,
                python3-requests,
-               python3-pyseq
+               python3-pyseq,
+# The code imports distutils.util, which needs this
+               python3-setuptools
 # extra Depends; do I need these?
 # qt6-translations-l10n
 # qml6-module-org-kde-ksvg
